{
  "format_version": "1.8.0",
  "render_controllers": {
    "controller.render.variant_lava_cube_lava": {
      "geometry": "Geometry.lava",
      "materials": [ { "*": "Material.default" } ],
      "textures": [ "Texture.lava" ],
	  "uv_anim": {
	    "offset": [ 0.0, "(Math.floor(query.life_time * 20.0) + query.frame_alpha) * -0.005" ],
		"scale": [ 1.0, 1.0 ]
	  }
    },
    "controller.render.variant_lava_cube_face": {
      "geometry": "Geometry.face",
      "materials": [ { "*": "Material.face" } ],
      "textures": [ "Texture.face" ]
    }
  }
}